MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026992Open CASCADE[OCCT] OCCT:Documentationpublic2015-12-14 15:352016-04-20 15:50
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026992: Use Doxygen tag @ref for cross-references in documentation
DescriptionCurrently in many places in OCCT documentation (user and dev guides, overview, etc.) HTML-style references (#...tag...) are used to refer to other sections of the documentation. This works, to some extent, in HTML, but generates non-working links in PDF. Instead, Doxygen tag @ref should be used for cross-references in documentation, like this:

@ref occt_coding_rules_3 "Formatting Rules"

instead of

#occt_coding_rules_3
Steps To ReproduceNA
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0049301)
git (administrator)
2015-12-18 15:34

Branch CR26992 has been created by ysn.

SHA-1: c987c8e838fc3e3456c6c18a75d03ef11788c54b


Detailed log of new commits:

Author: ysn
Date: Fri Dec 18 15:33:23 2015 +0300

    href have been replaced by @ref tags except for the links to web-pages and other documents where @ref tags do not work either.
(0049302)
ysn (developer)
2015-12-18 15:36

The patch files are already based on 26964 and 26212. Should not pose any merging problems.
(0049303)
ysn (developer)
2015-12-18 15:38

Tags replaced.
(0049333)
git (administrator)
2015-12-21 06:39

Branch CR26992 has been updated forcibly by abv.

SHA-1: 5921189a4acfbff832930564553cda22df7f6cfa
(0049334)
abv (manager)
2015-12-21 06:42

Reviewed and rebased on CR26964
(0053003)
git (administrator)
2016-04-17 13:54

Branch CR26992 has been deleted by kgv.

SHA-1: 5921189a4acfbff832930564553cda22df7f6cfa

- Related Changesets
occt: master 67d7f07f
Timestamp: 2015-12-18 12:33:23
Author: ysn
Committer: bugmaster
Details ] Diff ]
0026992: Use Doxygen tag @ref for cross-references in documentation

href have been replaced by @ref tags except for the links to web-pages and other documents where @ref tags do not work either.
mod - dox/dev_guides/contribution/coding_rules.md Diff ] File ]
mod - dox/dev_guides/documentation/documentation.md Diff ] File ]
mod - dox/dev_guides/git_guide/git_guide.md Diff ] File ]
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - dox/user_guides/iges/iges.md Diff ] File ]
mod - dox/user_guides/ocaf/ocaf.md Diff ] File ]
mod - dox/user_guides/shape_healing/shape_healing.md Diff ] File ]
mod - dox/user_guides/step/step.md Diff ] File ]
mod - dox/user_guides/visualization/visualization.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-14 15:35 abv New Issue
2015-12-14 15:35 abv Assigned To => ysn
2015-12-18 15:34 git Note Added: 0049301
2015-12-18 15:36 ysn Note Added: 0049302
2015-12-18 15:37 ysn Assigned To ysn => abv
2015-12-18 15:37 ysn Status new => resolved
2015-12-18 15:37 ysn Steps to Reproduce Updated View Revisions
2015-12-18 15:38 ysn Note Added: 0049303
2015-12-18 15:38 ysn Steps to Reproduce Updated View Revisions
2015-12-21 06:39 git Note Added: 0049333
2015-12-21 06:42 abv Note Added: 0049334
2015-12-21 06:42 abv Assigned To abv => bugmaster
2015-12-21 06:42 abv Status resolved => reviewed
2015-12-21 06:42 abv Relationship added related to 0026964
2015-12-22 15:27 bugmaster Status reviewed => tested
2015-12-25 19:04 bugmaster Changeset attached => occt master 67d7f07f
2015-12-25 19:04 bugmaster Status tested => verified
2015-12-25 19:04 bugmaster Resolution open => fixed
2016-04-17 13:54 git Note Added: 0053003
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker